/*
** Author:      James Painter
** Purpose:     Definitions for bounding volumes
**
** Copyright (c), 1989 GRAIL, University of Washington
**
** $Revision: 2.4 $
** $Date: 89/03/01 12:32:29 $
** $Locker:  $
** $Log:	boundingvol.h,v $
 * Revision 2.4  89/03/01  12:32:29  jamie
 * *** empty log message ***
 * 
*/
#ifndef _BOUNDING_VOLUMES
#define _BOUNDING_VOLUMES


typedef  struct {
  int valid;			/* True if data is valid for ray */
  VectorType4D T;		/* reciprocal of direction vector */
} bbRayData;

typedef struct {
  double min, max;
} bbIntervalType;

typedef struct {
  bbIntervalType I[3];
} bbBoxType;

typedef bbBoxType BoundingVolume;
#endif
